Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.utils
Class ExtractWikipedia.Parser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.lucene.benchmark.utils.ExtractWikipedia.Parser

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Enclosing class:
  ExtractWikipedia

    public class ExtractWikipedia.Parser

extends DefaultHandler

Constructor Summary
`ExtractWikipedia.Parser()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `create(String id, String title, String time, String body)`
`File` | `directory(int count, File directory)`
`void` | `endElement(String namespace, String simple, String qualified)`
`void` | `startElement(String namespace, String simple, String qualified, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractWikipedia.Parser

    public ExtractWikipedia.Parser()

Method Detail

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

### startElement

    public void startElement(String namespace,
                             String simple,
                             String qualified,
                             Attributes attributes)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### directory

    public File directory(int count,
                          File directory)

### create

    public void create(String id,
                       String title,
                       String time,
                       String body)

### endElement

    public void endElement(String namespace,
                           String simple,
                           String qualified)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.